﻿@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;

@Html.DevExpress().GridView(
settings =>
{
    settings.Name = "GvPackingCompInquiry";
    settings.KeyFieldName = "CASE_NO;CASE_TYPE;PACKING_DT;PREPARED_DT;";
    settings.CallbackRouteValues = new { Controller = "PackingCompInquiry", Action = "getPackingCompInquiryCallBack" };
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
    settings.ControlStyle.Paddings.Padding = System.Web.UI.WebControls.Unit.Pixel(0);
    settings.ControlStyle.Border.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(0);
    settings.ControlStyle.BorderBottom.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(1);

    //DIGUNAKAN UNTUK PEMANGGILAN SEARCH DATA
    settings.ClientSideEvents.BeginCallback = "GvPackingCompInquiryOnBeginCallback";
    settings.ClientSideEvents.EndCallback = "GvPackingCompInquiryOnEndCallback";

    settings.CommandColumn.Visible = true;
    settings.CommandColumn.ShowSelectCheckbox = true;
    settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(40);
    //settings.ClientSideEvents.SelectionChanged = "GvPackingCompInquiry_SelectionChanged";

    settings.SettingsEditing.Mode = GridViewEditingMode.Inline;

    settings.SettingsPager.Visible = true;
    settings.Settings.ShowFilterRowMenu = false;
    settings.Settings.ShowFilterRow = false;

    settings.SettingsPager.FirstPageButton.Visible = true;
    settings.SettingsPager.LastPageButton.Visible = true;
    settings.SettingsPager.ShowNumericButtons = true;
    settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
    settings.SettingsPager.PageSizeItemSettings.Visible = true;
    settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "25", "50", "100" };
    settings.SettingsPager.PageSize = 15;
    settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";

    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
    settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
    settings.Settings.VerticalScrollableHeight = 290;

    settings.Width = 1340;
    settings.CommandColumn.FixedStyle = GridViewColumnFixedStyle.Left;


    // DXCOMMENT: Configure grid's columns in accordance with data model fields

    settings.CommandColumn.SetHeaderTemplateContent(c =>
    {
        if (c.Column.VisibleIndex == 0)
        {
            Html.DevExpress().CheckBox(
            chckBox =>
            {
                chckBox.Name = "chckBox";
                chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ GvPackingCompInquiry.SelectAllRowsOnPage(chckBox.GetChecked());}";
            }).Render();
        }
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "CASE_NO";
        column.Caption = "Case No";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(120);
        column.FixedStyle = GridViewColumnFixedStyle.Left;
        column.SetDataItemTemplateContent(container =>
        {
            Html.DevExpress().HyperLink(hlSettings =>
            {
                hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                hlSettings.NavigateUrl = "javascript:void(0)";
                hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClick('{0}|{1}|{2}|{3}'); }}",
                        Convert.ToString(DataBinder.Eval(container.DataItem, "CASE_NO")),
                        Convert.ToString(DataBinder.Eval(container.DataItem, "CASE_TYPE")),
                        Convert.ToString(DataBinder.Eval(container.DataItem, "PACKING_DT")),
                        Convert.ToString(DataBinder.Eval(container.DataItem, "PREPARED_DT"))
                 );
                hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
            }).Render();
        });
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "CASE_TYPE";
        column.Caption = "Case Type";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(70);
        column.FixedStyle = GridViewColumnFixedStyle.Left;            
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "PREPARED_DT";
        column.Caption = "Prepare Date";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
        column.FixedStyle = GridViewColumnFixedStyle.Left;
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "PACKING_DT";
        column.Caption = "Packing Date";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
        column.FixedStyle = GridViewColumnFixedStyle.Left;
    });

    //[R-20170825001 by FID.Arri] Removed history data
    //settings.Columns.Add(
    //column =>
    //{
    //    column.FieldName = "DATA_TYPE";
    //    column.Caption = "Data Type";
    //    column.HeaderStyle.Wrap = DefaultBoolean.True;
    //    column.CellStyle.Wrap = DefaultBoolean.True;
    //    column.ColumnType = MVCxGridViewColumnType.TextBox;
    //    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    //    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
    //    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
    //    column.Width = Unit.Pixel(90);
    //    column.FixedStyle = GridViewColumnFixedStyle.Left;
    //});
    //[R-20170825001 by FID.Arri] End

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "PACKING_QTY";
        column.Caption = "Packing Qty";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });

       
    settings.Columns.Add(
    column =>
    {
        column.FieldName = "TRANSP_CD";
        column.Caption = "Transp Code";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "BUYER_PD";
        column.Caption = "Buyer PD";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(120);
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "PRIVILEGE";
        column.Caption = "Privilege";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "HANDLING_TYPE";
        column.Caption = "Handling Type";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "CASE_GW";
        column.Caption = "Case GW";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "CASE_NW";
        column.Caption = "Case NW";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });
    
    settings.Columns.Add(
    column =>
    {
        column.FieldName = "CONTAINER_NO";
        column.Caption = "Container No";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "VANNING_DT";
        column.Caption = "Vanning Date";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "STATUS";
        column.Caption = "Status";
        column.HeaderStyle.Wrap = DefaultBoolean.True;
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(90);
    });
}).Bind(Model).GetHtml()

@Html.DevExpress().LoadingPanel(
settings =>
{
    settings.Name = "LoadingPanel";
    settings.Modal = true;
}).GetHtml()


@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PU_DetKanban";
    settings.CallbackRouteValues = new { Controller = "PackingCompInquiry", Action = "getPopUpKanban" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallDetKanban";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 460;
    settings.MinHeight = 250;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(1180);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Packing Completion Inquiry - Kanban";
}).GetHtml()